Updating from 4.0 to 4.2?

Discussion in 'Wii - Hacking' started by rubsnick, Nov 20, 2009.

  1. rubsnick
    OP

    rubsnick Advanced Member

    Newcomer
    53
    0
    Nov 16, 2006
    BTW Before I do anything like this I want to make sure that I need to update. Will the original New super mario bros wii disc work on a 4.0 wii? Or doe it require an update or something?

    I mainly use my modified wii to play imports and Injected Virtual Console games. I read the guides and it simply says go to 4.2 then modify. I'm a little worried about going from my hacked 4.0 to 4.2.... is this the proper method? I'm just triple checking. Once modified I'll still be able to play the Injected VC and imports or what?


    UPDATE: I've done this to my Wii

    [​IMG]

    I ran the update for the HBC and updated the HBC and installed that DVDX thingy... I hope this is enough info to go by so someone can point me to the appropriate guide.

    This is the Backup Launcher I had
    [​IMG]



    [​IMG]


    If I recall correctly this one allowed Madworld to be played when the other couldn't play madworld. It would also be able to boot with hooks. This was done near the time that waninako(I think) released the "surprise" ISO launcher that launced ISo's from external devices. His first game was Mario Kart Wii. If this info helps anyone tell me what to use.
     
  2. dai-a

    dai-a GBAtemp Fan

    Member
    351
    0
    May 16, 2009
    United States
    Springville Utah
    As long as your wii isn't region changed(e.g You changed it from JAP to USA)
    Then yeah everything will still be in order if you follow the modify any wii guide.
     
  3. xzxero

    xzxero ♥bong milk does good for the brain♥

    Member
    3,831
    28
    Jul 18, 2008
    United States
    SB
  4. rubsnick
    OP

    rubsnick Advanced Member

    Newcomer
    53
    0
    Nov 16, 2006
    So essentially I'll run this and then I"m done. It will only update the necessary IOS's and keep the one used by the hacks and stuff's intact correct? BTW Mines is a US wii and I haven't changed the region. I just need to be sure which guide to follow because I"m getting conflicting information.
     
  5. BBking83

    BBking83 GBAtemp Advanced Fan

    Member
    676
    4
    Oct 23, 2008
    Australia
    Not entirely.

    Depends on what you have done to your Wii. That updater is just like a Nintendo update. It will install and update all neccesary IOSes and SMs, except it leaves alone boot2 and all the cIOS slots (222/223/249/250). If you have Preloader or CIOSCORP it will wipe it.

    cIOS dependant apps will be safe. ALSO! if you don't update the HBC first you will loose it.

    Although you can reinstall it, it's easier to just update the HBC before you update your Wii.
     
  6. rubsnick
    OP

    rubsnick Advanced Member

    Newcomer
    53
    0
    Nov 16, 2006

    Alright... I have simply done the backup channel. The one that allowed madworld to play? I can't recall the version but it was the last one before the ISO loader was released. The HDD loader one I mean. It was done right after 4.0 was released. I haven't touched my wii since 4.0 was released. So that should give you an indication as to what needs to be done.
     
  7. rubsnick
    OP

    rubsnick Advanced Member

    Newcomer
    53
    0
    Nov 16, 2006
    Bump. I added my info to the Main topic so people can see. I just need to be pointed in the right guide. I keep getting conflicting informaiton.
     
  8. typo99

    typo99 Advanced Member

    Newcomer
    59
    0
    Aug 30, 2008
    United States
    What is the conflicting information? Did the safe 4.2 updater not work or did you not try it yet?

    *edit* I see in the other thread that the safe 4.2 updater needs to be updated to fetch the new v18 of the shop channel
     
  9. rubsnick
    OP

    rubsnick Advanced Member

    Newcomer
    53
    0
    Nov 16, 2006
    I've not tried it yet. The conflictin info is the following.

    This guide
    http://gbatemp.net/index.php?showtopic=171901

    just says to update the wii to 4.2. Yet there is a safe updater... that's what's confusing me. Iunno which to use... Or should I simplyuse the safe updater and then follow the guide?
     
  10. xzxero

    xzxero ♥bong milk does good for the brain♥

    Member
    3,831
    28
    Jul 18, 2008
    United States
    SB
    update.zip is the offline version of the safe updater
     
  11. rubsnick
    OP

    rubsnick Advanced Member

    Newcomer
    53
    0
    Nov 16, 2006
    Ah... NVM I get it all. So what I do is run the safe instalelr then follow the modify any wii guide and I"m set.... correct?
     
  12. typo99

    typo99 Advanced Member

    Newcomer
    59
    0
    Aug 30, 2008
    United States
    The safe updater tries to install shop channel v17 so it fails because it is up to v18 on nintendo's servers.

    I just used xzxero's guide and files for my wii and it worked perfectly. I'm on 4.2U now with HBC and everything else.

    http://gbatemp.net/index.php?showtopic=171901